const app = getApp()
var myRequest = require("../../utils/api.js");
const aesUtil = require('../../utils/utils.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    canIUse: wx.canIUse('button.open-type.getUserInfo'),
    name: '',
    password: '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    
    var parameter = options.parameter;
    var path = options.path;
    if (parameter != '' && parameter != undefined){
      var parameter = parameter.replace(/-/g,'=');
    }
    that.setData({
      path:path,
      parameter:parameter
    })

  },
  getName(e) {
    this.setData({
      name: e.detail.value,
    })
  },
  getPassword(e) {
    this.setData({
      password: e.detail.value,
    })
  },
  resetting() {
    wx.navigateTo({
      url: '../resetting/resetting',
    })
  },
  getUserInfo(e){         
    var that = this;
    // 登录
    wx.login({
      success: res => {
        myRequest.myRequest('system/login?code='+res.code, { 
        },'post').then(function(res){
          if (res.data.code == '-5') {
            myRequest.myRequest('system/userLogin', {
              userName: that.data.name,
              password: aesUtil.encrypt(that.data.password),
              openid: res.data.data.openid
            },'post').then(function(res){
              if (res.data.code == '-5') {
                wx.showToast({
                  title: res.data.msg,
                  icon: 'none',
                })
                return false;
              }
              wx.setStorageSync('token', res.data.data.token)
              wx.navigateTo({
                url: '/pages/index/index',
              })
            })
          }else{
            wx.setStorageSync('token', res.data.data.token)
            wx.navigateTo({
              url: '/pages/index/index',
            })
          }
        }).catch(function(res){
          console.log(1231, res);
        })
      },
      error:res=>{
        console.log(res)
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '登录',
      path: '/pages/login/login'
    }
  }
})
